* doc/autoconf.texi (AU_DEFUN): Fix English,
[autoconf.git] / Makefile.in
bloba56a4585a32997ec9499889400ec52d634cb9433
1 # Makefile.in generated by automake 1.8.2 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39 $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
40 ChangeLog INSTALL NEWS README-alpha THANKS TODO
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/config/m4.m4 \
43 $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno configure.status.lineno
48 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
49 CONFIG_CLEAN_FILES =
50 SOURCES =
51 DIST_SOURCES =
52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53 html-recursive info-recursive install-data-recursive \
54 install-exec-recursive install-info-recursive \
55 install-recursive installcheck-recursive installdirs-recursive \
56 pdf-recursive ps-recursive uninstall-info-recursive \
57 uninstall-recursive
58 am__installdirs = $(DESTDIR)$(pkgdatadir)
59 pkgdataDATA_INSTALL = $(INSTALL_DATA)
60 DATA = $(pkgdata_DATA)
61 ETAGS = etags
62 CTAGS = ctags
63 DIST_SUBDIRS = $(SUBDIRS)
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 distdir = $(PACKAGE)-$(VERSION)
66 top_distdir = $(distdir)
67 am__remove_distdir = \
68 { test ! -d $(distdir) \
69 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
70 && rm -fr $(distdir); }; }
71 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
72 GZIP_ENV = --best
73 distuninstallcheck_listfiles = find . -type f -print
74 distcleancheck_listfiles = find . -type f -print
75 ACLOCAL = @ACLOCAL@
76 AMTAR = @AMTAR@
77 AUTOCONF = @AUTOCONF@
78 AUTOHEADER = @AUTOHEADER@
79 AUTOMAKE = @AUTOMAKE@
80 AWK = @AWK@
81 CYGPATH_W = @CYGPATH_W@
82 DEFS = @DEFS@
83 ECHO_C = @ECHO_C@
84 ECHO_N = @ECHO_N@
85 ECHO_T = @ECHO_T@
86 EMACS = @EMACS@
87 EMACSLOADPATH = @EMACSLOADPATH@
88 EXPR = @EXPR@
89 HELP2MAN = @HELP2MAN@
90 INSTALL_DATA = @INSTALL_DATA@
91 INSTALL_PROGRAM = @INSTALL_PROGRAM@
92 INSTALL_SCRIPT = @INSTALL_SCRIPT@
93 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
94 LIBOBJS = @LIBOBJS@
95 LIBS = @LIBS@
96 LTLIBOBJS = @LTLIBOBJS@
97 M4 = @M4@
98 MAKEINFO = @MAKEINFO@
99 PACKAGE = @PACKAGE@
100 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
101 PACKAGE_NAME = @PACKAGE_NAME@
102 PACKAGE_STRING = @PACKAGE_STRING@
103 PACKAGE_TARNAME = @PACKAGE_TARNAME@
104 PACKAGE_VERSION = @PACKAGE_VERSION@
105 PATH_SEPARATOR = @PATH_SEPARATOR@
106 PERL = @PERL@
107 SET_MAKE = @SET_MAKE@
108 SHELL = @SHELL@
109 STRIP = @STRIP@
110 TEST_EMACS = @TEST_EMACS@
111 VERSION = @VERSION@
112 ac_ct_STRIP = @ac_ct_STRIP@
113 ac_cv_sh_n_works = @ac_cv_sh_n_works@
114 am__leading_dot = @am__leading_dot@
115 bindir = @bindir@
116 build_alias = @build_alias@
117 datadir = @datadir@
118 exec_prefix = @exec_prefix@
119 host_alias = @host_alias@
120 includedir = @includedir@
121 infodir = @infodir@
122 install_sh = @install_sh@
123 libdir = @libdir@
124 libexecdir = @libexecdir@
125 lispdir = @lispdir@
126 localstatedir = @localstatedir@
127 mandir = @mandir@
128 mkdir_p = @mkdir_p@
129 oldincludedir = @oldincludedir@
130 prefix = @prefix@
131 program_transform_name = @program_transform_name@
132 sbindir = @sbindir@
133 sharedstatedir = @sharedstatedir@
134 sysconfdir = @sysconfdir@
135 target_alias = @target_alias@
137 # bin/ and tests/ must be run first, as they build the tests executables
138 # (tests/autom4te etc.), that we happen to use here.
139 SUBDIRS = bin tests . lib config man doc
140 ACLOCAL_AMFLAGS = -I config
141 EXTRA_DIST = ChangeLog.0 ChangeLog.1 ChangeLog.2 \
142 BUGS \
143 GNUmakefile Makefile.maint Makefile.cfg
145 MAINTAINERCLEANFILES = INSTALL
146 pkgdata_DATA = INSTALL
147 AM_MAKEINFOFLAGS = --no-headers --no-validate --no-split
148 automake_cvsweb = \
149 http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/automake
151 automake_cvsargs = \
152 'content-type=text/plain&cvsroot=automake'
154 autom4te_files = \
155 Autom4te/Configure_ac.pm \
156 Autom4te/Channels.pm \
157 Autom4te/FileUtils.pm \
158 Autom4te/Struct.pm \
159 Autom4te/XFile.pm
161 all: all-recursive
163 .SUFFIXES:
164 am--refresh:
166 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
167 @for dep in $?; do \
168 case '$(am__configure_deps)' in \
169 *$$dep*) \
170 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
171 cd $(srcdir) && $(AUTOMAKE) --gnu \
172 && exit 0; \
173 exit 1;; \
174 esac; \
175 done; \
176 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
177 cd $(top_srcdir) && \
178 $(AUTOMAKE) --gnu Makefile
179 .PRECIOUS: Makefile
180 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
181 @case '$?' in \
182 *config.status*) \
183 echo ' $(SHELL) ./config.status'; \
184 $(SHELL) ./config.status;; \
185 *) \
186 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
187 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
188 esac;
190 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
191 $(SHELL) ./config.status --recheck
193 $(top_srcdir)/configure: $(am__configure_deps)
194 cd $(srcdir) && $(AUTOCONF)
195 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
196 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
197 uninstall-info-am:
198 install-pkgdataDATA: $(pkgdata_DATA)
199 @$(NORMAL_INSTALL)
200 $(mkdir_p) $(DESTDIR)$(pkgdatadir)
201 @list='$(pkgdata_DATA)'; for p in $$list; do \
202 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
203 f="`echo $$p | sed -e 's|^.*/||'`"; \
204 echo " $(pkgdataDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
205 $(pkgdataDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
206 done
208 uninstall-pkgdataDATA:
209 @$(NORMAL_UNINSTALL)
210 @list='$(pkgdata_DATA)'; for p in $$list; do \
211 f="`echo $$p | sed -e 's|^.*/||'`"; \
212 echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
213 rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
214 done
216 # This directory's subdirectories are mostly independent; you can cd
217 # into them and run `make' without going through this Makefile.
218 # To change the values of `make' variables: instead of editing Makefiles,
219 # (1) if the variable is set in `config.status', edit `config.status'
220 # (which will cause the Makefiles to be regenerated when you run `make');
221 # (2) otherwise, pass the desired values on the `make' command line.
222 $(RECURSIVE_TARGETS):
223 @set fnord $$MAKEFLAGS; amf=$$2; \
224 dot_seen=no; \
225 target=`echo $@ | sed s/-recursive//`; \
226 list='$(SUBDIRS)'; for subdir in $$list; do \
227 echo "Making $$target in $$subdir"; \
228 if test "$$subdir" = "."; then \
229 dot_seen=yes; \
230 local_target="$$target-am"; \
231 else \
232 local_target="$$target"; \
233 fi; \
234 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
235 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
236 done; \
237 if test "$$dot_seen" = "no"; then \
238 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
239 fi; test -z "$$fail"
241 mostlyclean-recursive clean-recursive distclean-recursive \
242 maintainer-clean-recursive:
243 @set fnord $$MAKEFLAGS; amf=$$2; \
244 dot_seen=no; \
245 case "$@" in \
246 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
247 *) list='$(SUBDIRS)' ;; \
248 esac; \
249 rev=''; for subdir in $$list; do \
250 if test "$$subdir" = "."; then :; else \
251 rev="$$subdir $$rev"; \
252 fi; \
253 done; \
254 rev="$$rev ."; \
255 target=`echo $@ | sed s/-recursive//`; \
256 for subdir in $$rev; do \
257 echo "Making $$target in $$subdir"; \
258 if test "$$subdir" = "."; then \
259 local_target="$$target-am"; \
260 else \
261 local_target="$$target"; \
262 fi; \
263 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
264 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
265 done && test -z "$$fail"
266 tags-recursive:
267 list='$(SUBDIRS)'; for subdir in $$list; do \
268 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
269 done
270 ctags-recursive:
271 list='$(SUBDIRS)'; for subdir in $$list; do \
272 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
273 done
275 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
276 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
277 unique=`for i in $$list; do \
278 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
279 done | \
280 $(AWK) ' { files[$$0] = 1; } \
281 END { for (i in files) print i; }'`; \
282 mkid -fID $$unique
283 tags: TAGS
285 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
286 $(TAGS_FILES) $(LISP)
287 tags=; \
288 here=`pwd`; \
289 if (etags --etags-include --version) >/dev/null 2>&1; then \
290 include_option=--etags-include; \
291 else \
292 include_option=--include; \
293 fi; \
294 list='$(SUBDIRS)'; for subdir in $$list; do \
295 if test "$$subdir" = .; then :; else \
296 test -f $$subdir/TAGS && \
297 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
298 fi; \
299 done; \
300 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
301 unique=`for i in $$list; do \
302 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303 done | \
304 $(AWK) ' { files[$$0] = 1; } \
305 END { for (i in files) print i; }'`; \
306 test -z "$(ETAGS_ARGS)$$tags$$unique" \
307 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
308 $$tags $$unique
309 ctags: CTAGS
310 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
311 $(TAGS_FILES) $(LISP)
312 tags=; \
313 here=`pwd`; \
314 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
315 unique=`for i in $$list; do \
316 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
317 done | \
318 $(AWK) ' { files[$$0] = 1; } \
319 END { for (i in files) print i; }'`; \
320 test -z "$(CTAGS_ARGS)$$tags$$unique" \
321 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
322 $$tags $$unique
324 GTAGS:
325 here=`$(am__cd) $(top_builddir) && pwd` \
326 && cd $(top_srcdir) \
327 && gtags -i $(GTAGS_ARGS) $$here
329 distclean-tags:
330 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
332 distdir: $(DISTFILES)
333 @case `sed 15q $(srcdir)/NEWS` in \
334 *"$(VERSION)"*) : ;; \
335 *) \
336 echo "NEWS not updated; not releasing" 1>&2; \
337 exit 1;; \
338 esac
339 $(am__remove_distdir)
340 mkdir $(distdir)
341 $(mkdir_p) $(distdir)/config $(distdir)/tests
342 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
343 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
344 list='$(DISTFILES)'; for file in $$list; do \
345 case $$file in \
346 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
347 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
348 esac; \
349 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
350 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
351 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
352 dir="/$$dir"; \
353 $(mkdir_p) "$(distdir)$$dir"; \
354 else \
355 dir=''; \
356 fi; \
357 if test -d $$d/$$file; then \
358 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
359 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
360 fi; \
361 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
362 else \
363 test -f $(distdir)/$$file \
364 || cp -p $$d/$$file $(distdir)/$$file \
365 || exit 1; \
366 fi; \
367 done
368 list='$(SUBDIRS)'; for subdir in $$list; do \
369 if test "$$subdir" = .; then :; else \
370 test -d "$(distdir)/$$subdir" \
371 || mkdir "$(distdir)/$$subdir" \
372 || exit 1; \
373 (cd $$subdir && \
374 $(MAKE) $(AM_MAKEFLAGS) \
375 top_distdir="../$(top_distdir)" \
376 distdir="../$(distdir)/$$subdir" \
377 distdir) \
378 || exit 1; \
379 fi; \
380 done
381 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
382 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
383 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
384 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
385 || chmod -R a+r $(distdir)
386 dist-gzip: distdir
387 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
388 $(am__remove_distdir)
389 dist-bzip2: distdir
390 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
391 $(am__remove_distdir)
393 dist-tarZ: distdir
394 $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
395 $(am__remove_distdir)
397 dist-shar: distdir
398 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
399 $(am__remove_distdir)
401 dist-zip: distdir
402 -rm -f $(distdir).zip
403 zip -rq $(distdir).zip $(distdir)
404 $(am__remove_distdir)
406 dist dist-all: distdir
407 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
408 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
409 $(am__remove_distdir)
411 # This target untars the dist file and tries a VPATH configuration. Then
412 # it guarantees that the distribution is self-contained by making another
413 # tarfile.
414 distcheck: dist
415 case '$(DIST_ARCHIVES)' in \
416 *.tar.gz*) \
417 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
418 *.tar.bz2*) \
419 bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
420 *.tar.Z*) \
421 uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
422 *.shar.gz*) \
423 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | unshar ;;\
424 *.zip*) \
425 unzip $(distdir).zip ;;\
426 esac
427 chmod -R a-w $(distdir); chmod a+w $(distdir)
428 mkdir $(distdir)/_build
429 mkdir $(distdir)/_inst
430 chmod a-w $(distdir)
431 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
432 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
433 && cd $(distdir)/_build \
434 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
435 $(DISTCHECK_CONFIGURE_FLAGS) \
436 && $(MAKE) $(AM_MAKEFLAGS) \
437 && $(MAKE) $(AM_MAKEFLAGS) dvi \
438 && $(MAKE) $(AM_MAKEFLAGS) check \
439 && $(MAKE) $(AM_MAKEFLAGS) install \
440 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
441 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
442 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
443 distuninstallcheck \
444 && chmod -R a-w "$$dc_install_base" \
445 && ({ \
446 (cd ../.. && $(mkdir_p) "$$dc_destdir") \
447 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
448 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
449 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
450 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
451 } || { rm -rf "$$dc_destdir"; exit 1; }) \
452 && rm -rf "$$dc_destdir" \
453 && $(MAKE) $(AM_MAKEFLAGS) dist \
454 && rm -rf $(DIST_ARCHIVES) \
455 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
456 $(am__remove_distdir)
457 @(echo "$(distdir) archives ready for distribution: "; \
458 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
459 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
460 distuninstallcheck:
461 @cd $(distuninstallcheck_dir) \
462 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
463 || { echo "ERROR: files left after uninstall:" ; \
464 if test -n "$(DESTDIR)"; then \
465 echo " (check DESTDIR support)"; \
466 fi ; \
467 $(distuninstallcheck_listfiles) ; \
468 exit 1; } >&2
469 distcleancheck: distclean
470 @if test '$(srcdir)' = . ; then \
471 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
472 exit 1 ; \
474 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
475 || { echo "ERROR: files left in build directory after distclean:" ; \
476 $(distcleancheck_listfiles) ; \
477 exit 1; } >&2
478 check-am: all-am
479 check: check-recursive
480 all-am: Makefile $(DATA)
481 installdirs: installdirs-recursive
482 installdirs-am:
483 $(mkdir_p) $(DESTDIR)$(pkgdatadir)
484 install: install-recursive
485 install-exec: install-exec-recursive
486 install-data: install-data-recursive
487 uninstall: uninstall-recursive
489 install-am: all-am
490 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
492 installcheck: installcheck-recursive
493 install-strip:
494 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
495 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
496 `test -z '$(STRIP)' || \
497 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
498 mostlyclean-generic:
500 clean-generic:
502 distclean-generic:
503 -rm -f $(CONFIG_CLEAN_FILES)
505 maintainer-clean-generic:
506 @echo "This command is intended for maintainers to use"
507 @echo "it deletes files that may require special tools to rebuild."
508 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
509 clean: clean-recursive
511 clean-am: clean-generic mostlyclean-am
513 distclean: distclean-recursive
514 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
515 -rm -f Makefile
516 distclean-am: clean-am distclean-generic distclean-tags
518 dvi: dvi-recursive
520 dvi-am:
522 info: info-recursive
524 info-am:
526 install-data-am: install-pkgdataDATA
528 install-exec-am:
530 install-info: install-info-recursive
532 install-man:
534 installcheck-am:
536 maintainer-clean: maintainer-clean-recursive
537 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
538 -rm -rf $(top_srcdir)/autom4te.cache
539 -rm -f Makefile
540 maintainer-clean-am: distclean-am maintainer-clean-generic
542 mostlyclean: mostlyclean-recursive
544 mostlyclean-am: mostlyclean-generic
546 pdf: pdf-recursive
548 pdf-am:
550 ps: ps-recursive
552 ps-am:
554 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
556 uninstall-info: uninstall-info-recursive
558 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
559 check-am clean clean-generic clean-recursive ctags \
560 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
561 dist-tarZ dist-zip distcheck distclean distclean-generic \
562 distclean-recursive distclean-tags distcleancheck distdir \
563 distuninstallcheck dvi dvi-am html html-am info info-am \
564 install install-am install-data install-data-am install-exec \
565 install-exec-am install-info install-info-am install-man \
566 install-pkgdataDATA install-strip installcheck installcheck-am \
567 installdirs installdirs-am maintainer-clean \
568 maintainer-clean-generic maintainer-clean-recursive \
569 mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
570 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
571 uninstall-info-am uninstall-pkgdataDATA
574 html:
575 cd doc && $(MAKE) $(AM_MAKEFLAGS) $@
577 .PHONY: html
578 INSTALL: $(top_srcdir)/doc/install.texi
579 $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -o $(srcdir)/INSTALL \
580 $(top_srcdir)/doc/install.texi
582 maintainer-check: maintainer-check-tests
583 maintainer-check-tests:
584 cd tests && make maintainer-check
586 autom4te-update:
587 rm -f -r Fetchdir > /dev/null 2>&1
588 mkdir Fetchdir; mkdir Fetchdir/Autom4te
589 (cd Fetchdir && \
590 $(WGET) $(automake_cvsweb)/lib/Automake/Configure_ac.pm?$(automake_cvsargs) -O Autom4te/Configure_ac.pm; \
591 $(WGET) $(automake_cvsweb)/lib/Automake/Channels.pm?$(automake_cvsargs) -O Autom4te/Channels.pm; \
592 $(WGET) $(automake_cvsweb)/lib/Automake/FileUtils.pm?$(automake_cvsargs) -O Autom4te/FileUtils.pm; \
593 $(WGET) $(automake_cvsweb)/lib/Automake/Struct.pm?$(automake_cvsargs) -O Autom4te/Struct.pm; \
594 $(WGET) $(automake_cvsweb)/lib/Automake/XFile.pm?$(automake_cvsargs) -O Autom4te/XFile.pm; \
596 perl -pi -e 's/Automake::/Autom4te::/g' Fetchdir/Autom4te/*.pm
597 for file in $(autom4te_files); do \
598 $(move_if_change) Fetchdir/$$file $(srcdir)/lib/$$file; \
599 done
600 # Tell versions [3.59,3.63) of GNU make to not export all variables.
601 # Otherwise a system limit (for SysV at least) may be exceeded.
602 .NOEXPORT: